QGIS Application - Bug report #4500

Simplify tool freezes QGIS
2011-11-04 02:31 AM - Paolo Cavallini

Status: Closed
Priority: Normal
Assignee:

Category: Digitising

Affected QGIS version:
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 14423

Description

If I apply the simplify tool form advanced digitizing to an ellipse made with the new Rectangle digitizing plugin, QGIS freezes

History

#1 - 2011-11-13 08:17 AM - Richard Duivenvoorde

- File test.zip added

tested this, but I'm not sure it is related to the Rectangle plugin.

| can reproduce it though, with the attached dataset: just zoom out till you see VERY small rectangle and click in the biggest one: the simplify tool will start

an endless loop, and the tolerance slider never will appear

#2 - 2011-11-13 09:28 AM - Richard Duivenvoorde

a patch is accepted, please test current master

commit:cf849875a2b9edadb91166¢c82e733173b6a7a27d

#3 - 2011-11-15 04:00 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Files

test.zip

2025-05-19

2.52 KB 2011-11-13

Richard Duivenvoorde
